package com.bocloud.cmp.model.h3c;

public class H3cNetWorkModel {
    /**
     * 网卡设备型号，枚举值：rtl8139：普通网卡;virtio：Virtio网卡;e1000：Intel e1000网卡。
     * 字符串（String）类型，必须。
     */
    private String deviceModel;
    /**
     * 虚拟交换机id。 长整型（Long）类型，必须。
     */
    private Long vsId;
    /**
     * 虚拟交换机名称;。 字符串（String）类型，必须
     */
    private String vsName;
    /**
     * 网络策略模板id;。 长整型（Long）类型，必须。
     */
    private Long profileId;
    /**
     * 是否设置内核加速;，枚举值：1：代表设置内核加速，0：代表不设置。 整型（Integer）类型，默认为0。
     */
    private Integer isKernelAccelerated;
    /**
     * 网卡绑定IP地址;。 字符串（String）类型，符合IPv4格式，可选项。
     */
    private String ipAddr;
    /**
     * 网卡MAC地址。 字符串（String）类型。
     */
    private String mac;
    /**
     * 网卡所属的VLAN。 整数（int）类型。
     */
    private Integer vlan;
    /**
     * 是否限制入方向带宽。 true：限制 false：不限制。 布尔（boolean）类型。
     */
    private Boolean isLimitInBound;
    /**
     * 入方向平均带宽。 单位（kbps）。 长整数（long）类型。
     */
    private Long inAvgBandwidth;
    /**
     * 入方向峰值带宽。单位（kbps）。 长整数（long）类型。
     */
    private Long inPeakBandwidth;
    /**
     * 入方向突发缓冲大小;。单位（kBytes）。 长整数（long）类型。
     */
    private Long inBurst;
    /**
     * 是否限制出方向带宽;。 true：限制 false：不限制。 布尔（boolean）类型。
     */
    private Boolean isLimitOutBound;
    /**
     * 出方向平均带宽;。单位（kbps）。 长整数（long）类型。
     */
    private Long outAvgBandwidth;
    /**
     * 出方向峰值带宽;。单位（kbps）。 长整数（long）类型。
     */
    private Long outPeakBandwidth;
    /**
     * 出方向突发缓冲大小;。单位（kBytes）。 长整数（long）类型。
     */
    private Long outBurst;
    /**
     * 转发模式;。 字符串（String）类型。
     */
    private String mode;
    /**
     * 是否配置了vport;。true:配置 false:未配置 布尔（boolean）类型。
     */
    private Boolean virtualport;
    /**
     * 物理网卡直连或者SR;-IOV直连的地址。 字符串（String）类型。
     */
    private String address;
    /**
     * 网卡类型;：0：桥接 1：NAT 2：不使用网络 3：物理直通网卡 4：SR-IOV网卡。 整数（int）类型。
     */
    private Integer netType;

    public String getDeviceModel() {
        return deviceModel;
    }

    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }

    public Long getVsId() {
        return vsId;
    }

    public void setVsId(Long vsId) {
        this.vsId = vsId;
    }

    public String getVsName() {
        return vsName;
    }

    public void setVsName(String vsName) {
        this.vsName = vsName;
    }

    public Long getProfileId() {
        return profileId;
    }

    public void setProfileId(Long profileId) {
        this.profileId = profileId;
    }

    public Integer getIsKernelAccelerated() {
        return isKernelAccelerated;
    }

    public void setIsKernelAccelerated(Integer isKernelAccelerated) {
        this.isKernelAccelerated = isKernelAccelerated;
    }

    public String getIpAddr() {
        return ipAddr;
    }

    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public Integer getVlan() {
        return vlan;
    }

    public void setVlan(Integer vlan) {
        this.vlan = vlan;
    }

    public Boolean getLimitInBound() {
        return isLimitInBound;
    }

    public void setLimitInBound(Boolean limitInBound) {
        isLimitInBound = limitInBound;
    }

    public Long getInAvgBandwidth() {
        return inAvgBandwidth;
    }

    public void setInAvgBandwidth(Long inAvgBandwidth) {
        this.inAvgBandwidth = inAvgBandwidth;
    }

    public Long getInPeakBandwidth() {
        return inPeakBandwidth;
    }

    public void setInPeakBandwidth(Long inPeakBandwidth) {
        this.inPeakBandwidth = inPeakBandwidth;
    }

    public Long getInBurst() {
        return inBurst;
    }

    public void setInBurst(Long inBurst) {
        this.inBurst = inBurst;
    }

    public Boolean getLimitOutBound() {
        return isLimitOutBound;
    }

    public void setLimitOutBound(Boolean limitOutBound) {
        isLimitOutBound = limitOutBound;
    }

    public Long getOutAvgBandwidth() {
        return outAvgBandwidth;
    }

    public void setOutAvgBandwidth(Long outAvgBandwidth) {
        this.outAvgBandwidth = outAvgBandwidth;
    }

    public Long getOutPeakBandwidth() {
        return outPeakBandwidth;
    }

    public void setOutPeakBandwidth(Long outPeakBandwidth) {
        this.outPeakBandwidth = outPeakBandwidth;
    }

    public Long getOutBurst() {
        return outBurst;
    }

    public void setOutBurst(Long outBurst) {
        this.outBurst = outBurst;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public Boolean getVirtualport() {
        return virtualport;
    }

    public void setVirtualport(Boolean virtualport) {
        this.virtualport = virtualport;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getNetType() {
        return netType;
    }

    public void setNetType(Integer netType) {
        this.netType = netType;
    }
}
